/*
ENode : 
    Copyright (C) 2001 Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package diff;

import java.util.*;

import util.*;

class ENode implements Node {
    static Tuple EmptyTup = new Tuple();
    boolean debug = false;
	
    // tuple currently representing this node..
    //aggregates measures of everything for which it is parent
    protected Tuple _currTup = new Tuple();
    static double _maxErr = 1.0;
    public ENode(DiffParams pr) {debug = pr.debug();}
    public void init(Tuple tup) {;}
    public Tuple tuple() {return _currTup;}
    public double cost(double r) {return 0;} 
    // part of cost not affected by the external ratio r.
    public double coveredCost(double r) {return 0;}  
    public Tuple aggTup(double r)  {return null;} 
    public Tuple tup(double r, int i)  {return null;} 
    public void setRVals(RVals rvals) {;}
    int size(double r) {return 0;}
    public double bestRatio() {return _currTup.ratio();}
};
