/*
SqlString : A delimiter separated String
    Copyright (C) 2001 Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package util;
public class SqlString implements java.io.Serializable {
    String _dl = ", ";
    String _str = null;
    public SqlString(String dlem) {
	_dl = dlem;
    }
    public void clear() {
	_str = "";
    }
    public String str(String prefix) {
	if (isEmpty())
	    return "";
	else
	    return prefix+_str;
    }
    public void add(String part) {
	if (isEmpty())
	    _str = part;
	else
	    _str += (_dl + part);
    }
    public void add(SqlString part) {
	if ((part != null) && ! part.isEmpty())
	    add(part.str(""));
    }
    public boolean isEmpty() {
	if ((_str == null) || (_str.length() == 0))
	    return true;
	return false;
    }
}







