/*
HashIndices : Maintains a hash index structure
    Copyright (C) 2001 Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package cube;

class HashIndices
{
  Object hashStruct;
  public native Object create(int sz, int num);
  public  void init(int sz, int num) {
    hashStruct = create(sz,num);
  }
  public native void add(Object hashStruct, int itemArray[], int numItms);
  public  void add(int itemArray[], int numItms) {add(hashStruct,itemArray,numItms);}
  public native int estimate();

  static {
    System.loadLibrary("estimate");
  }
    
}
