/*
AttrDesc : Description of an attribute of the data cube
    Copyright (C) 2001 Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package util;

public class AttrDesc  implements java.io.Serializable {
    int _dim;
    int _lvl; // 0 indicates the most detailed level and upwards from there.
    String _name; // external of the attribute
    public void AttrDesc(int d, int l) {init(d,l,"");}
    public void AttrDesc(int d, int l,String name) {init(d,l,name);}
    public void AttrDesc() {;}
    public int dim() {return _dim;}
    public int level() {return _lvl;}
    public void init(int d, int l,String n) {_dim = d; _lvl = l; _name=n;}
    public void init(AttrDesc d) {_dim = d.dim(); _lvl = d.level();_name=d.name();}
    public String name() {return _name;}
    public String toString() {return _name + _dim + "." + _lvl;}
};
