/*
Params : Initializing parameters for the operators
    Copyright (C) 2001 Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package util;

import java.util.*;
public class Params {
    static boolean _debugDB = false;
    public Params() {;}
    public Params(String args) {
	if (args == null) 
	    return;
	StringTokenizer tok = new StringTokenizer(args, ";");
	while (tok.hasMoreTokens()) {
	     String anArg = tok.nextToken();
	     if (anArg.equalsIgnoreCase("debugDB")) 
		 _debugDB = true;
	     if (anArg.equalsIgnoreCase("output=")) 
		 MyOut.setOutputFile(anArg.substring(7));
	}
	
    }
    public static boolean debugQuery() {return _debugDB;}
}
