/*
TermDesc : Metadata about the Term
    Copyright (C) 2001 Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package util;

public class TermDesc  implements java.io.Serializable {
    AttrDesc adesc[] = null;
    public TermDesc(int numCols) {
	if ((adesc != null) && (adesc.length >= numCols)) return;
	adesc = new AttrDesc[numCols];
	for (int i = 0; i < numCols; i++)
	    adesc[i] = new AttrDesc();
    }
    public AttrDesc desc(int attrIndex) {return adesc[attrIndex];}
    public  int size() {return (adesc == null)?0:adesc.length;}
    public  String toMetaString() {
	String st = "";
	for (int i = 0; i < size(); i++) {
	    if (i > 0) st += ", ";
	    st += desc(i).toString();
	}
	return st;
    }
};
